The project has a common base, the common actions, and then a specialized
part. We call the traditional compilation strategy [A], using prefix /usr/,
and the AppDir approach [B], which will compile into /Programs/NAME/VERSION/
or /home/Programs/NAME/VERSION/.

So as a summary, a short table for this is:

    [A]   '/usr/'
    [B]   '/home/Programs/NAME/VERSION/'

Common actions possible through this project are:

    (1) Extraction of an Archive     [IMPLEMENTED]
    (2) Installation of gems         [IMPLEMENTED]
    (3) Installation via cmake       [PARTIALLY IMPLEMENTED]
    (4) Installation via meson/ninja [PARTIALLY IMPLEMENTED]

Differential actions are:

    (1) AppDir compilation and /usr/ prefix compilation will
        logically make use of different prefixes. 
    (2) Symlink-actions are only required for the AppDir
        installation approach. For /usr/ we will not need
        to symlink anything.

Now that we have defined the common and not common tasks, let's move
on to how we will do so:

- constants.rb # This file will require the other constants.
- base.rb      # is the base class to subclass, called Easycompile::Base.

The programs directory is stored in the toplevel instance variable
called @programs_directory.

