# =========================================================================== #
# Gemspec for Project Easycompile.
# =========================================================================== #
require 'easycompile/version/version.rb'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'easycompile'
  s.version = Easycompile::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This project is called easycompile.

It allows you to compile a given source archive, such as a file
like "php-7.2.0.tar.xz". By default this will compile into the
prefix /usr/. In order for this to work, the file at hand
has to exist; in the case above, the file php-7.2.0.tar.xz
has to exist locally.

For more documentation, have a look at the link called
Documentation on the bottom right side of this webpage.

EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
  s.extra_rdoc_files = %w()

  # =============================================================== #
  # Show this when a user installs this project.
  # =============================================================== #
  s.post_install_message = <<-EOF

  You can run this project by issuing:

      ecompile

  on the commandline.
    
  See

      ecompile --help

  for the available options.

EOF

  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.files       = Dir['**/*']
  s.executables = Dir['bin/*'].map { |f| File.basename(f) }
  s.license     = 'GPL-2.0'
  s.homepage    = 'http://rubygems.org/gems/easycompile'

  s.required_ruby_version     = '>= '+Roebe.second_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'colours'
  s.add_dependency 'opn'
  s.add_dependency 'extracter'

}